Skip to main content
GET
/
api
/
v1
/
fraud
/
logs
Fraud log kayıtlarını listele
curl --request GET \
  --url https://fraud-sandbox.payven.com.tr/api/v1/fraud/logs \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "merchant_external_id": "<string>",
      "external_txn_id": "<string>",
      "amount_minor": 123,
      "currency": "<string>",
      "score": 123,
      "reason_codes": "<string>",
      "matched_rule_ids": "<string>",
      "latency_ms": 123,
      "provider_used": "<string>",
      "checked_at": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "total_pages": 123,
  "total_count": 123,
  "has_previous_page": true,
  "has_next_page": true
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Query Parameters

process
enum<string>
Available options:
sanal_pos,
para_transferi,
fatura_odeme
decision
enum<string>
Available options:
approve,
challenge,
review,
block
merchant_external_id
string
from
string<date-time>
to
string<date-time>
min_score
integer<int32>
max_score
integer<int32>
page
integer<int32>
page_size
integer<int32>
search_term
string

Response

OK

items
object[] | null
page
integer<int32>
total_pages
integer<int32>
read-only
total_count
integer<int32>
has_previous_page
boolean
read-only
has_next_page
boolean
read-only